## haskell-mode 2.0

=== Makefile ===
EMACS = emacs

ELFILES = \
	haskell-font-lock.el \
	haskell-mode.el \
	haskell-doc.el \
	haskell-decl-scan.el \
	inf-haskell.el \
	haskell-indent.el

ELCFILES = $(ELFILES:.el=.elc)
# AUTOLOADS = $(PACKAGE)-startup.el
AUTOLOADS = haskell-site-file.el

%.elc: %.el
	$(EMACS) --batch --eval '(setq load-path (cons "." load-path))' \
		-f batch-byte-compile $<

all: $(ELCFILES) $(AUTOLOADS)

info:
	# No Texinfo file, sorry.

######################################################################
###                    don't look below                            ###
######################################################################

PACKAGE=haskell-mode

$(AUTOLOADS): $(ELFILES)
	[ -f $@ ] || echo '' >$@
	$(EMACS) --batch --eval '(setq generated-autoload-file "'`pwd`'/$@")' -f batch-update-autoloads "."

##

TAG = $(shell echo v$(VERSION) | tr '.' '_')
ftpdir=/u/monnier/html/elisp/
cvsmodule=$(shell cat CVS/Repository)
cvsroot=$(shell cat CVS/Root)

dist:
	cvs tag -F $(TAG) &&\
	cd $(TMP) &&\
	unset CVSREAD; cvs -d $(cvsroot) export -r $(TAG) -d $(PACKAGE)-$(VERSION) $(cvsmodule) &&\
	cd $(PACKAGE)-$(VERSION) &&\
	make info $(AUTOLOADS) &&\
	cd .. &&\
	ztar $(PACKAGE)-$(VERSION) &&\
	rm -rf $(PACKAGE)-$(VERSION)
	mv $(TMP)/$(PACKAGE)-$(VERSION).tar.gz $(ftpdir)/
	ln -sf $(PACKAGE)-$(VERSION).tar.gz $(ftpdir)/$(PACKAGE).tar.gz

## haskell-mode 1.3-1

=== debian/changelog ===
haskell-mode (1.3-1) unstable; urgency=low

  * New upstream source.
  * runhugs and runhugs98 scripts are opened with haskell-mode
    automatically (Closes: #39902).

 -- Tommi Virtanen <tv@debian.org>  Tue,  6 Jul 1999 13:50:44 +0300

haskell-mode (1.2-1) unstable; urgency=low

  * Initial Release.

 -- Tommi Virtanen <tv@debian.org>  Wed, 30 Dec 1998 03:26:04 +0200

Local variables:
mode: debian-changelog
add-log-mailing-address: "tv@debian.org"
End:

=== debian/control ===
Source: haskell-mode
Section: devel
Priority: optional
Maintainer: Tommi Virtanen <tv@debian.org>
Standards-Version: 2.4.0.0

Package: haskell-mode
Architecture: all
Depends: emacsen
Suggests: hugs
Description: A major mode for editing Haskell in Emacs
 A major mode for editing Haskell (the functional
 programming language) in Emacs.
 .
 Major features:
  -Font Locking: Colours keywords, comments, strings, etc. 
  -Declaration Scanning: Scans declarations and places them in a
   menu. 
  -Documentation: Echoes types of functions or syntax of keywords
   when the cursor is idle. 
  -Indentation: Provides semi-automatic intelligent indentation. 
  -Simple Indentation: Provides simple indentation. 
  -Hugs Interaction: Allows interaction with the Hugs interpreter.

=== debian/rules ===
#!/usr/bin/make -f
# Made with the aid of dh_make, by Craig Small
# Sample debian/rules that uses debhelper. GNU copyright 1997 by Joey Hess.
# Some lines taken from debmake, by Cristoph Lameter.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

build: build-stamp
build-stamp:
	dh_testdir

	
	# Add here commands to compile the package.
	#$(MAKE) 

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp install-stamp

	# Add here commands to clean up after the build process.
	#-$(MAKE) clean

	dh_clean

install: install-stamp
install-stamp: build-stamp
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/tmp.
	#$(MAKE) install DESTDIR=`pwd`/debian/tmp
	install --mode=0644 *.el debian/tmp/usr/share/emacs/site-lisp
	install --mode=0644 debian/50haskell-mode.el \
		debian/tmp/etc/emacs/site-start.d

	touch install-stamp

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
#	dh_testversion
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installexamples
	dh_installmenu
#	dh_installemacsen
#	dh_installinit
	dh_installcron
	dh_installmanpages
#	dh_undocumented
	dh_installchangelogs 
	dh_strip
	dh_compress
	dh_fixperms
	dh_suidregister
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
#	dh_makeshlibs
	dh_md5sums
	dh_builddeb

source diff:                                                                  
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary

## haskell-mode 2.1

=== Makefile ===
--- 
+++ 
@@ -50,3 +50,5 @@
 	rm -rf $(PACKAGE)-$(VERSION)
 	mv $(TMP)/$(PACKAGE)-$(VERSION).tar.gz $(ftpdir)/
 	ln -sf $(PACKAGE)-$(VERSION).tar.gz $(ftpdir)/$(PACKAGE).tar.gz
+
+# arch-tag: 1ab314c8-3821-44fb-b533-dd58f5d75ba4

## haskell-mode 2.3

=== Makefile ===
--- 
+++ 
@@ -42,11 +42,12 @@
 dist:
 	cvs tag -F $(TAG) &&\
 	cd $(TMP) &&\
-	unset CVSREAD; cvs -d $(cvsroot) export -r $(TAG) -d $(PACKAGE)-$(VERSION) $(cvsmodule) &&\
+	unset CVSREAD; cvs -d $(cvsroot) export -kv -r $(TAG) -d $(PACKAGE)-$(VERSION) $(cvsmodule) &&\
 	cd $(PACKAGE)-$(VERSION) &&\
 	make info $(AUTOLOADS) &&\
+	rm -f gmon.out;\
 	cd .. &&\
-	ztar $(PACKAGE)-$(VERSION) &&\
+	tar zcf $(PACKAGE)-$(VERSION).tar.gz $(PACKAGE)-$(VERSION) &&\
 	rm -rf $(PACKAGE)-$(VERSION)
 	mv $(TMP)/$(PACKAGE)-$(VERSION).tar.gz $(ftpdir)/
 	ln -sf $(PACKAGE)-$(VERSION).tar.gz $(ftpdir)/$(PACKAGE).tar.gz

## haskell-mode 2.4

=== Makefile ===
--- 
+++ 
@@ -3,10 +3,13 @@
 ELFILES = \
 	haskell-font-lock.el \
 	haskell-mode.el \
+	haskell-c.el \
+	haskell-cabal.el \
 	haskell-doc.el \
 	haskell-decl-scan.el \
-	inf-haskell.el \
-	haskell-indent.el
+	haskell-indent.el \
+	haskell-simple-indent.el \
+	inf-haskell.el
 
 ELCFILES = $(ELFILES:.el=.elc)
 # AUTOLOADS = $(PACKAGE)-startup.el

## haskell-mode 13.07

=== Makefile ===
VERSION = $(shell git describe --tags --match 'v[0-9]*' --abbrev=0 | sed 's/^v//;s/\.0*/./g')
GIT_VERSION = $(shell git describe --tags --match 'v[0-9]*' --long --dirty | sed 's/^v//')

INSTALL_INFO = install-info
EMACS = emacs
EFLAGS =
BATCH = $(EMACS) $(EFLAGS) --batch -Q -L .

ELFILES = \
	ghc-core.el \
	haskell-align-imports.el \
	haskell-c.el \
	haskell-cabal.el \
	haskell-checkers.el \
	haskell-compat.el \
	haskell-decl-scan.el \
	haskell-doc.el \
	haskell-font-lock.el \
	haskell-indent.el \
	haskell-indentation.el \
	haskell-interactive-mode.el \
	haskell-menu.el \
	haskell-mode.el \
	haskell-move-nested.el \
	haskell-navigate-imports.el \
	haskell-package.el \
	haskell-process.el \
	haskell-session.el \
	haskell-show.el \
	haskell-simple-indent.el \
	haskell-sort-imports.el \
	haskell-string.el \
	haskell-unicode-input-method.el \
	haskell-yas.el \
	inf-haskell.el

ELCFILES = $(ELFILES:.el=.elc)
AUTOLOADS = haskell-mode-autoloads.el

PKG_DIST_FILES = $(ELFILES) logo.svg NEWS haskell-mode.info dir
PKG_TAR = haskell-mode-$(VERSION).tar
ELCHECKS=$(addprefix check-, $(ELFILES:.el=))

%.elc: %.el
	@$(BATCH) \
	   --eval "(byte-compile-disable-warning 'cl-functions)" \
       -f batch-byte-compile $<

.PHONY: all compile info clean check $(ELCHECKS) elpa package

all: compile $(AUTOLOADS) info

compile: $(ELCFILES)

$(ELCHECKS): check-%: %.el
	@$(BATCH) --eval '(when (check-declare-file "$*.el") (error "check-declare failed"))'
	@$(BATCH) \
	     --eval "(setq byte-compile-error-on-warn t)" \
	 	 --eval "(byte-compile-disable-warning 'cl-functions)" \
		 -f batch-byte-compile $*.el
	@$(RM) $*.elc
	@echo "--"

check: $(ELCHECKS)
	@echo "checks passed!"

clean:
	$(RM) $(ELCFILES) $(AUTOLOADS) $(AUTOLOADS:.el=.elc) $(PKG_TAR) haskell-mode.info dir

info: haskell-mode.info dir

dir: haskell-mode.info
	$(INSTALL_INFO) --dir=$@ $<

# haskell-mode.info: haskell-mode.texi
# 	$(MAKEINFO) -o $@ $<

# Generate ELPA-compatible package
package: $(PKG_TAR)
elpa: $(PKG_TAR)

$(PKG_TAR): $(PKG_DIST_FILES) haskell-mode-pkg.el.in
	rm -rf haskell-mode-$(VERSION)
	mkdir haskell-mode-$(VERSION)
	cp $(PKG_DIST_FILES) haskell-mode-$(VERSION)/
	sed -e 's/@VERSION@/$(VERSION)/g' < haskell-mode-pkg.el.in > haskell-mode-$(VERSION)/haskell-mode-pkg.el
	sed -e 's/@GIT_VERSION@/$(GIT_VERSION)/g;s/@VERSION@/$(VERSION)/g' < haskell-mode.el > haskell-mode-$(VERSION)/haskell-mode.el
	(sed -n -e '/^;;; Commentary/,/^;;;/p' | egrep '^;;( |$$)' | cut -c4-) < haskell-mode.el > haskell-mode-$(VERSION)/README
	tar cvf $@ haskell-mode-$(VERSION)
	rm -rf haskell-mode-$(VERSION)
	@echo
	@echo "Created ELPA compatible distribution package '$@' from $(GIT_VERSION)"

$(AUTOLOADS): $(ELFILES) haskell-mode.elc
	$(BATCH) \
		--eval '(setq make-backup-files nil)' \
		--eval '(setq generated-autoload-file "$(CURDIR)/$@")' \
		-f batch-update-autoloads "."

# HACK: embed version number into .elc file
haskell-mode.elc: haskell-mode.el
	sed -e 's/@GIT_VERSION@/$(GIT_VERSION)/g;s/@VERSION@/$(VERSION)/g' < haskell-mode.el > haskell-mode.tmp.el
	@$(BATCH) --eval "(byte-compile-disable-warning 'cl-functions)" -f batch-byte-compile haskell-mode.tmp.el
	mv haskell-mode.tmp.elc haskell-mode.elc
	$(RM) haskell-mode.tmp.el

=== debian/changelog ===
haskell-mode (13.07-1) unstable; urgency=low

  * New upstream release (closes: #728957)
  * Expose development git repo (closes: #587903)
  * Try not to accidentally reject supported emacsen (closes: #667451)
  * dh9, stop using cdbs
  * bump policy
  * add current homepage
  * add self as uploader
  * update emacsen installation/startup
  * rm debian/debuild.opts (which supported building in a darcs repo)
  * generate/install info page.
  * update debian/copyright with current license and upstream repo
  * build dependency on emacs, needed to generate autoload file
  * preserve link to uncompiled autoloads file in emacsen flavour elc directory
  * point debian/watch at current upstream
  * add collab-maint packaging repo
  * substitute @VERSION@ and @GIT_VERSION@ in installed .el files
  * install upstream changelog, readme, examples
  * source format 3.0 (quilt)
  * install haskell logo, in debian-appropriate location
  * leave .el files linked into flavour dir to enable help, (closes: #679044)
  * installation no longer emits ELisp values (closes: #683629)
  * fill-paragraph breaks multi-line comments differently (closes: #575081)

 -- Barak A. Pearlmutter <bap@debian.org>  Fri, 08 Nov 2013 12:22:41 +0000

haskell-mode (2.8.0-2) unstable; urgency=low

  * Bug fix: "byte compiled .elc files not used", thanks to Kevin Ryde
    (Closes: #670357).
  * Bug fix: "interpreter-mode-alist entries", thanks to Kevin Ryde
    (Closes: #670356).
  * Update Standards-Version to 3.9.3 (no changes).

 -- David Bremner <bremner@debian.org>  Sun, 24 Jun 2012 19:31:19 -0300

haskell-mode (2.8.0-1) unstable; urgency=low

  * New upstream release.
  * Bump standards version to 3.9.2 (no changes).
  * Bug fix: "haskell-mode should recommend ghc, not ghc6", thanks to
    Anders Kaseorg (Closes: #626872).

 -- David Bremner <bremner@debian.org>  Wed, 31 Aug 2011 23:05:22 -0300

haskell-mode (2.7.0-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Ignore xemacs in emacsen-install (Closes: #568579)

 -- David Bremner <bremner@debian.org>  Sat, 26 Mar 2011 13:03:15 -0300

haskell-mode (2.7.0-2) unstable; urgency=low

  * Remove a blunder in debian/watch.
  * Change section to "haskell", in agreement with override.
  * Extract copyright notices into debian/copyright.
  * Update policy version to 3.8.3.

 -- Petr Rockai <mornfall@debian.org>  Thu, 04 Feb 2010 17:59:43 +0100

haskell-mode (2.7.0-1) unstable; urgency=low

  * New upstream release (closes: #561830).
  * Recognize runghc/runhaskell scripts (closes: #427766).
  * Update debian/watch (closes: #450321).
  * Use the upstream autoload script (closes: #492517).
  * The problematic haskell-ghci-mode-map has been obliterated by
    upstream (closes: #369910).

 -- Petr Rockai <mornfall@debian.org>  Thu, 04 Feb 2010 17:32:03 +0100

haskell-mode (2.4-1) unstable; urgency=low

  * New upstream release.

 -- Petr Rockai <mornfall@debian.org>  Fri, 15 Feb 2008 13:09:49 +0100

haskell-mode (2.3-1) unstable; urgency=low

  * New upstream release (closes: #443400, #448658, #411955),
  * re-debianized, using cdbs and debhelper,
  * enabling the byte-compile of emacs-lisp sources (closes:  #408260),
  * new maintainer, keeping Isaac as co-maintainer.

 -- Petr Rockai <mornfall@debian.org>  Thu, 06 Dec 2007 01:02:06 +0100

haskell-mode (2.1-1) unstable; urgency=low

  * New upstream release
  * Removed old debconf stuff (Closes: 331845, Closes: 237437)
  * removed hook for turn-on-haskell-font-lock (Closes: 306548)
  * fixed type for map (Closes: 316992)

 -- Isaac Jones <ijones@debian.org>  Wed, 16 Nov 2005 22:28:12 -0800

haskell-mode (2.0-1) unstable; urgency=low

  * New upstream release. closes: 281998.

  * Updated copyright file to show new Debian and upstream maintainers.
    closes: 286769

  * keybindings C-c <char> have been replaced by C-c C-<char> so as not to
    collide with minor modes.
  
  * The following modules are now automatically activated without having
    to add anything to haskell-mode-hook: haskell-font-lock (just turn on
    global-font-lock-mode).  haskell-decl-scan (just bind `imenu' to some
    key).
  
  * In recent Emacsen, haskell-doc hooks into eldoc-mode.
  
  * haskell-hugs and haskell-ghci are superceded by inf-haskell.
  
  * Indentation rules have been improved when using layout inside parens/braces.
  
  * Symbols like -> and \ can be displayed as actual arrows and lambdas.
    See haskell-font-lock-symbols.
  
  * Tweaks to the font-lock settings.  Among other things paren-matching
    with things like \(x,y) should work correctly now.
  
  * New upstream maintainer <monnier@gnu.org>.

 -- Isaac Jones <ijones@debian.org>  Wed, 22 Dec 2004 02:14:02 -0500

haskell-mode (1.45-2) unstable; urgency=low

  * Added watchfile.

 -- Isaac Jones <ijones@debian.org>  Sat, 20 Nov 2004 14:13:25 -0800

haskell-mode (1.45-1) unstable; urgency=low

  * New upstream release
  * Bugs relating to indentation and comments seem to be fixed.
    closes: #46115, closes: #51821
  * Not much information from upstream about changes.  I'm not sure if
    this is exaustive:
    "Support for proper behaviour (including with Unicode identifiers)
    in Emacs 21 only hacked in messily to avoid disturbing the old
    stuff.  Needs integrating more cleanly.  Allow literate comment
    face to be customized.  Some support for fontifying definitions."

 -- Isaac Jones <ijones@debian.org>  Sat, 20 Nov 2004 13:09:01 -0800

haskell-mode (1.44-4) unstable; urgency=low

  * Changed the type of getLine from IO Char to IO String, closes: 282000

 -- Isaac Jones <ijones@debian.org>  Thu, 18 Nov 2004 17:40:15 -0800

haskell-mode (1.44-3) unstable; urgency=low

  * Added a load-path line to 50haskell-mode.el, closes: #229976
  * Removed empty "haskell-mode" directory in $(emacs_d_dir)

 -- Isaac Jones <ijones@debian.org>  Wed, 29 Jan 2004 00:15:25 -0500

haskell-mode (1.44-2) unstable; urgency=low



=== debian/control ===
Source: haskell-mode
Section: haskell
Priority: optional
Maintainer: Petr Rockai <mornfall@debian.org>
Uploaders: Isaac Jones <ijones@debian.org>,
	   David Bremner <bremner@debian.org>,
	   Barak A. Pearlmutter <bap@debian.org>
Build-Depends: debhelper (>= 9), emacs24 | emacs23 | emacs-snapshot
Standards-Version: 3.9.5
Homepage: https://github.com/haskell/haskell-mode
Vcs-Git: git://anonscm.debian.org/collab-maint/haskell-mode.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/haskell-mode.git

Package: haskell-mode
Architecture: all
Depends: emacs24 | emacs23 | emacs-snapshot | emacs, ${misc:Depends}
Recommends: ghc | hugs
Description: major mode for editing Haskell in Emacs
 A major mode for editing Haskell (the functional
 programming language) in Emacs.
 .
 Major features:
  - syntax highlighting (font lock),
  - automatic indentation,
  - on-the-fly documentation,
  - interaction with inferior ghci or hugs instance,
  - scans declarations and places them in a menu.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --parallel

version=$(shell dpkg-parsechangelog | sed -rne 's/^Version: ([0-9.-]+)$$/\1/p')
git_version=00000000

override_dh_auto_build:
	dh_auto_build -- VERSION=$(version) GIT_VERSION=$(git_version) haskell-mode-autoloads.el haskell-mode.info

override_dh_auto_install:

dest_dir=debian/haskell-mode
icon_dir=usr/share/icons/locolor/scalable

override_dh_install:
	dh_install
	sed --in-place \
	 -e 's/@VERSION@/$(version)/g' \
	 -e 's/@GIT_VERSION@/$(git_version)/g' \
	 debian/haskell-mode/usr/share/emacs/site-lisp/haskell-mode/*.el
	mkdir --parent $(dest_dir)/$(icon_dir)
	install --mode=a+r,u+w logo.svg $(dest_dir)/$(icon_dir)/haskell.svg

override_dh_installchangelogs:
	dh_installchangelogs NEWS

## haskell-mode 13.10

=== Makefile ===
--- 
+++ 
@@ -5,6 +5,7 @@
 EMACS = emacs
 EFLAGS =
 BATCH = $(EMACS) $(EFLAGS) --batch -Q -L .
+SUBST_ATAT = sed -e 's/@@GIT_VERSION@@/$(GIT_VERSION)/g;s/@GIT_VERSION@/$(GIT_VERSION)/g;s/@@VERSION@@/$(VERSION)/g;s/@VERSION@/$(VERSION)/g'
 
 ELFILES = \
 	ghc-core.el \
@@ -13,6 +14,7 @@
 	haskell-cabal.el \
 	haskell-checkers.el \
 	haskell-compat.el \
+	haskell-compile.el \
 	haskell-decl-scan.el \
 	haskell-doc.el \
 	haskell-font-lock.el \
@@ -30,8 +32,11 @@
 	haskell-simple-indent.el \
 	haskell-sort-imports.el \
 	haskell-string.el \
+	haskell-str.el \
 	haskell-unicode-input-method.el \
+	haskell-utils.el \
 	haskell-yas.el \
+	haskell-presentation-mode.el \
 	inf-haskell.el
 
 ELCFILES = $(ELFILES:.el=.elc)
@@ -59,21 +64,35 @@
 	 	 --eval "(byte-compile-disable-warning 'cl-functions)" \
 		 -f batch-byte-compile $*.el
 	@$(RM) $*.elc
+	@if [ -f "$(<:%.el=tests/%-tests.el)" ]; then \
+	if $(BATCH) --eval "(require 'ert)" 2> /dev/null; then \
+		echo; \
+		$(BATCH) -l "$(<:%.el=tests/%-tests.el)" -f ert-run-tests-batch-and-exit; \
+	else \
+		echo "ERT not available, skipping unit tests"; \
+	fi; \
+	fi
 	@echo "--"
 
-check: $(ELCHECKS)
+check: clean $(ELCHECKS)
 	@echo "checks passed!"
 
 clean:
-	$(RM) $(ELCFILES) $(AUTOLOADS) $(AUTOLOADS:.el=.elc) $(PKG_TAR) haskell-mode.info dir
+	$(RM) $(ELCFILES) $(AUTOLOADS) $(AUTOLOADS:.el=.elc) $(PKG_TAR) haskell-mode.tmp.texi haskell-mode.info dir
 
 info: haskell-mode.info dir
 
 dir: haskell-mode.info
 	$(INSTALL_INFO) --dir=$@ $<
 
-# haskell-mode.info: haskell-mode.texi
-# 	$(MAKEINFO) -o $@ $<
+haskell-mode.tmp.texi: haskell-mode.texi
+	$(SUBST_ATAT) < haskell-mode.texi > haskell-mode.tmp.texi
+
+haskell-mode.info: haskell-mode.tmp.texi
+	$(MAKEINFO) $(MAKEINFO_FLAGS) -o $@ $<
+
+haskell-mode.html: haskell-mode.tmp.texi
+	$(MAKEINFO) $(MAKEINFO_FLAGS) --html --no-split -o $@ $<
 
 # Generate ELPA-compatible package
 package: $(PKG_TAR)
@@ -83,8 +102,8 @@
 	rm -rf haskell-mode-$(VERSION)
 	mkdir haskell-mode-$(VERSION)
 	cp $(PKG_DIST_FILES) haskell-mode-$(VERSION)/
-	sed -e 's/@VERSION@/$(VERSION)/g' < haskell-mode-pkg.el.in > haskell-mode-$(VERSION)/haskell-mode-pkg.el
-	sed -e 's/@GIT_VERSION@/$(GIT_VERSION)/g;s/@VERSION@/$(VERSION)/g' < haskell-mode.el > haskell-mode-$(VERSION)/haskell-mode.el
+	$(SUBST_ATAT) < haskell-mode-pkg.el.in > haskell-mode-$(VERSION)/haskell-mode-pkg.el
+	$(SUBST_ATAT) < haskell-mode.el > haskell-mode-$(VERSION)/haskell-mode.el
 	(sed -n -e '/^;;; Commentary/,/^;;;/p' | egrep '^;;( |$$)' | cut -c4-) < haskell-mode.el > haskell-mode-$(VERSION)/README
 	tar cvf $@ haskell-mode-$(VERSION)
 	rm -rf haskell-mode-$(VERSION)
@@ -99,7 +118,7 @@
 
 # HACK: embed version number into .elc file
 haskell-mode.elc: haskell-mode.el
-	sed -e 's/@GIT_VERSION@/$(GIT_VERSION)/g;s/@VERSION@/$(VERSION)/g' < haskell-mode.el > haskell-mode.tmp.el
+	$(SUBST_ATAT) < haskell-mode.el > haskell-mode.tmp.el
 	@$(BATCH) --eval "(byte-compile-disable-warning 'cl-functions)" -f batch-byte-compile haskell-mode.tmp.el
 	mv haskell-mode.tmp.elc haskell-mode.elc
 	$(RM) haskell-mode.tmp.el

=== debian/changelog ===
haskell-mode (13.10-2) unstable; urgency=medium

  * build dependency on texinfo for /usr/bin/makeinfo (closes: #730955)
  * no haskell-ghci.el breaking agda-mode (<< 2.3.2) (closes: #731326)

 -- Barak A. Pearlmutter <bap@debian.org>  Fri, 27 Dec 2013 17:38:40 +0100

haskell-mode (13.10-1) unstable; urgency=low

  * New upstream release

 -- Barak A. Pearlmutter <bap@debian.org>  Fri, 27 Dec 2013 16:00:34 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,9 @@
 Uploaders: Isaac Jones <ijones@debian.org>,
 	   David Bremner <bremner@debian.org>,
 	   Barak A. Pearlmutter <bap@debian.org>
-Build-Depends: debhelper (>= 9), emacs24 | emacs23 | emacs-snapshot
+Build-Depends: debhelper (>= 9),
+	emacs24 | emacs23 | emacs-snapshot,
+	texinfo
 Standards-Version: 3.9.5
 Homepage: https://github.com/haskell/haskell-mode
 Vcs-Git: git://anonscm.debian.org/collab-maint/haskell-mode.git
@@ -14,6 +16,7 @@
 Package: haskell-mode
 Architecture: all
 Depends: emacs24 | emacs23 | emacs-snapshot | emacs, ${misc:Depends}
+Breaks: agda-mode (<< 2.3.2)
 Recommends: ghc | hugs
 Description: major mode for editing Haskell in Emacs
  A major mode for editing Haskell (the functional

=== debian/watch ===
version=3
opts=uversionmangle=s/_/./g \
 http://githubredir.debian.net/github/haskell/haskell-mode/[a-z]*([\d\._]+)\.tar\.gz

## haskell-mode 13.12

=== Makefile ===
--- 
+++ 
@@ -3,40 +3,57 @@
 
 INSTALL_INFO = install-info
 EMACS = emacs
-EFLAGS =
+EFLAGS = --eval "(add-to-list 'load-path (expand-file-name \"tests/compat\") 'append)" \
+         --eval "(when (< emacs-major-version 24) \
+                    (setq byte-compile-warnings '(not cl-functions)))" \
+         --eval '(setq byte-compile-error-on-warn t)'
+
 BATCH = $(EMACS) $(EFLAGS) --batch -Q -L .
 SUBST_ATAT = sed -e 's/@@GIT_VERSION@@/$(GIT_VERSION)/g;s/@GIT_VERSION@/$(GIT_VERSION)/g;s/@@VERSION@@/$(VERSION)/g;s/@VERSION@/$(VERSION)/g'
 
 ELFILES = \
 	ghc-core.el \
+	ghci-script-mode.el \
+	highlight-uses-mode.el \
 	haskell-align-imports.el \
+	haskell-bot.el \
+	haskell-cabal.el \
 	haskell-c.el \
-	haskell-cabal.el \
 	haskell-checkers.el \
+	haskell-collapse.el \
+	haskell-modules.el \
+	haskell-sandbox.el \
+	haskell-commands.el \
 	haskell-compat.el \
 	haskell-compile.el \
+	haskell-complete-module.el \
+	haskell-customize.el \
+	haskell-debug.el \
 	haskell-decl-scan.el \
 	haskell-doc.el \
+	haskell.el \
 	haskell-font-lock.el \
+	haskell-indentation.el \
 	haskell-indent.el \
-	haskell-indentation.el \
 	haskell-interactive-mode.el \
+	haskell-load.el \
 	haskell-menu.el \
 	haskell-mode.el \
 	haskell-move-nested.el \
 	haskell-navigate-imports.el \
 	haskell-package.el \
+	haskell-presentation-mode.el \
 	haskell-process.el \
+	haskell-repl.el \
 	haskell-session.el \
 	haskell-show.el \
 	haskell-simple-indent.el \
 	haskell-sort-imports.el \
+	haskell-str.el \
 	haskell-string.el \
-	haskell-str.el \
 	haskell-unicode-input-method.el \
 	haskell-utils.el \
 	haskell-yas.el \
-	haskell-presentation-mode.el \
 	inf-haskell.el
 
 ELCFILES = $(ELFILES:.el=.elc)
@@ -48,8 +65,7 @@
 
 %.elc: %.el
 	@$(BATCH) \
-	   --eval "(byte-compile-disable-warning 'cl-functions)" \
-       -f batch-byte-compile $<
+		 -f batch-byte-compile $*.el
 
 .PHONY: all compile info clean check $(ELCHECKS) elpa package
 
@@ -57,24 +73,14 @@
 
 compile: $(ELCFILES)
 
-$(ELCHECKS): check-%: %.el
+$(ELCHECKS): check-%: %.el %.elc
 	@$(BATCH) --eval '(when (check-declare-file "$*.el") (error "check-declare failed"))'
-	@$(BATCH) \
-	     --eval "(setq byte-compile-error-on-warn t)" \
-	 	 --eval "(byte-compile-disable-warning 'cl-functions)" \
-		 -f batch-byte-compile $*.el
-	@$(RM) $*.elc
 	@if [ -f "$(<:%.el=tests/%-tests.el)" ]; then \
-	if $(BATCH) --eval "(require 'ert)" 2> /dev/null; then \
-		echo; \
 		$(BATCH) -l "$(<:%.el=tests/%-tests.el)" -f ert-run-tests-batch-and-exit; \
-	else \
-		echo "ERT not available, skipping unit tests"; \
-	fi; \
 	fi
 	@echo "--"
 
-check: clean $(ELCHECKS)
+check: $(ELCHECKS)
 	@echo "checks passed!"
 
 clean:
@@ -86,6 +92,16 @@
 	$(INSTALL_INFO) --dir=$@ $<
 
 haskell-mode.tmp.texi: haskell-mode.texi
+	@sed -n -e '/@chapter/ s/@code{\(.*\)}/\1/' \
+                -e 's/@chapter \(.*\)$$/* \1::/p' \
+                -e 's/@unnumbered \(.*\)$$/* \1::/p' \
+               haskell-mode.texi > haskell-mode-menu-order.txt
+	@sed -e '1,/@menu/ d' \
+            -e '/end menu/,$$ d' \
+            haskell-mode.texi > haskell-mode-content-order.txt
+	diff -C 1 haskell-mode-menu-order.txt haskell-mode-content-order.txt
+	@rm haskell-mode-menu-order.txt haskell-mode-content-order.txt
+
 	$(SUBST_ATAT) < haskell-mode.texi > haskell-mode.tmp.texi
 
 haskell-mode.info: haskell-mode.tmp.texi
@@ -119,6 +135,6 @@
 # HACK: embed version number into .elc file
 haskell-mode.elc: haskell-mode.el
 	$(SUBST_ATAT) < haskell-mode.el > haskell-mode.tmp.el
-	@$(BATCH) --eval "(byte-compile-disable-warning 'cl-functions)" -f batch-byte-compile haskell-mode.tmp.el
+	@$(BATCH) -f batch-byte-compile haskell-mode.tmp.el
 	mv haskell-mode.tmp.elc haskell-mode.elc
 	$(RM) haskell-mode.tmp.el

=== debian/changelog ===
haskell-mode (13.12-3) unstable; urgency=medium

  * yasnippet integration, should work with newer yasnippet package

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 18 May 2015 20:33:04 +0100

haskell-mode (13.12-2) unstable; urgency=medium

  * ack NMU
  * accept NMU mod
  * bump policy twice in parallel
  * broken by yasnippet (<< 0.8); patch from Hilko Bengen (closes: #782729)

 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 12 May 2015 12:27:37 +0100

haskell-mode (13.12-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * emacs23 is no longer supported because of missing cl-lib (Closes:
    #782637)

 -- Hilko Bengen <bengen@debian.org>  Thu, 16 Apr 2015 17:04:25 +0200

haskell-mode (13.12-1) unstable; urgency=medium

  * Update debian/watch file
  * New upstream release

 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 14 Apr 2015 11:36:45 +0100

=== debian/control ===
--- 
+++ 
@@ -6,17 +6,17 @@
 	   David Bremner <bremner@debian.org>,
 	   Barak A. Pearlmutter <bap@debian.org>
 Build-Depends: debhelper (>= 9),
-	emacs24 | emacs23 | emacs-snapshot,
+	emacs24 | emacs-snapshot,
 	texinfo
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: https://github.com/haskell/haskell-mode
 Vcs-Git: git://anonscm.debian.org/collab-maint/haskell-mode.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/haskell-mode.git
 
 Package: haskell-mode
 Architecture: all
-Depends: emacs24 | emacs23 | emacs-snapshot | emacs, ${misc:Depends}
-Breaks: agda-mode (<< 2.3.2)
+Depends: emacs24 | emacs-snapshot | emacs, ${misc:Depends}
+Breaks: agda-mode (<< 2.3.2), yasnippet (<< 0.8)
 Recommends: ghc | hugs
 Description: major mode for editing Haskell in Emacs
  A major mode for editing Haskell (the functional

## haskell-mode 13.14.2

=== Makefile ===
#
# Note: Due to MELPA distributing directly from github source version
# needs to be embedded in files as is without proprocessing.
#
# Version string is present in:
# - Makefile
# - haskell-mode.el
# - haskell-mode.texi
#
# We should have a script that changes it everywhere it is needed and
# syncs it with current git tag.
#
VERSION = 13.14.2

INSTALL_INFO = install-info

# Use $EMACS environment variable if present, so that all of these are
# equivalent:
#
# 1.  export EMACS=/path/to/emacs && make
# 2.  EMACS=/path/to/emacs make
# 3.  make EMACS=/path/to/emacs
#
# This is particularly useful when EMACS is set in ~/.bash_profile
#
EMACS := $(shell echo "$${EMACS:-emacs}")

EFLAGS = --eval "(add-to-list 'load-path (expand-file-name \"tests/compat\") 'append)" \
	 --eval "(when (< emacs-major-version 24) \
		    (setq byte-compile-warnings '(not cl-functions)))" \
	 --eval '(setq byte-compile-error-on-warn t)'

BATCH = $(EMACS) $(EFLAGS) --batch -Q -L .

ELFILES = \
	ghc-core.el \
	ghci-script-mode.el \
	highlight-uses-mode.el \
	haskell-align-imports.el \
	haskell-bot.el \
	haskell-cabal.el \
	haskell-checkers.el \
	haskell-collapse.el \
	haskell-modules.el \
	haskell-sandbox.el \
	haskell-commands.el \
	haskell-compat.el \
	haskell-compile.el \
	haskell-complete-module.el \
	haskell-customize.el \
	haskell-debug.el \
	haskell-decl-scan.el \
	haskell-doc.el \
	haskell.el \
	haskell-font-lock.el \
	haskell-indentation.el \
	haskell-indent.el \
	haskell-interactive-mode.el \
	haskell-load.el \
	haskell-menu.el \
	haskell-mode.el \
	haskell-move-nested.el \
	haskell-navigate-imports.el \
	haskell-package.el \
	haskell-presentation-mode.el \
	haskell-process.el \
	haskell-repl.el \
	haskell-session.el \
	haskell-simple-indent.el \
	haskell-sort-imports.el \
	haskell-string.el \
	haskell-unicode-input-method.el \
	haskell-utils.el \
	inf-haskell.el

ELCFILES = $(ELFILES:.el=.elc)
AUTOLOADS = haskell-mode-autoloads.el

PKG_DIST_FILES = $(ELFILES) logo.svg NEWS haskell-mode.info dir
ELCHECKS=$(addprefix check-, $(ELFILES:.el=))

%.elc: %.el
	@$(BATCH) \
		 -f batch-byte-compile $*.el

.PHONY: all compile info clean check $(ELCHECKS) elpa package check-emacs-version

all: check-emacs-version compile $(AUTOLOADS) info

check-emacs-version :
	@$(BATCH) --eval "(when (< emacs-major-version 24)					\
                            (message \"Error: haskell-mode requires Emacs 23 or later\")	\
                            (message \"Your version of Emacs is %s\" emacs-version)		\
                            (message \"Found as '$(EMACS)'\")					\
                            (message \"Use one of:\")						\
                            (message \"   1.  export EMACS=/path/to/emacs && make\")		\
                            (message \"   2.  EMACS=/path/to/emacs make\")			\
                            (message \"   3.  make EMACS=/path/to/emacs\")			\
                            (kill-emacs 2))"

compile: $(ELCFILES)

$(ELCHECKS): check-%: %.el %.elc
	@$(BATCH) --eval '(when (check-declare-file "$*.el") (error "check-declare failed"))'
	@if [ -f "$(<:%.el=tests/%-tests.el)" ]; then \
		$(BATCH) -l "$(<:%.el=tests/%-tests.el)" -f ert-run-tests-batch-and-exit; \
	fi
	@echo "--"

check: $(ELCHECKS)
	@echo "checks passed!"

clean:
	$(RM) $(ELCFILES) $(AUTOLOADS) $(AUTOLOADS:.el=.elc) haskell-mode.info dir

info: haskell-mode.info dir

dir: haskell-mode.info
	$(INSTALL_INFO) --dir=$@ $<

haskell-mode.info: doc/haskell-mode.texi
	LANG=en_US.UTF-8 $(MAKEINFO) $(MAKEINFO_FLAGS) -o $@ $<

doc/haskell-mode.html: doc/haskell-mode.texi doc/haskell-mode.css
	LANG=en_US.UTF-8 $(MAKEINFO) $(MAKEINFO_FLAGS) --html --css-include=doc/haskell-mode.css --no-split -o $@ $<

doc/html/index.html : doc/haskell-mode.texi
	if [ -e doc/html ]; then rm -r doc/html; fi
	LANG=en_US.UTF-8 $(MAKEINFO) $(MAKEINFO_FLAGS) --html				\
	    --css-ref=haskell-mode.css							\
	    -c AFTER_BODY_OPEN='<div class="background"> </div>'			\
	    -c EXTRA_HEAD='<link rel="shortcut icon" href="haskell-mode-32x32.png">'	\
	    -c SHOW_TITLE=0								\
	    -o doc/html $<

doc/html/haskell-mode.css : doc/haskell-mode.css doc/html/index.html
	cp $< $@

doc/html/haskell-mode.svg : images/haskell-mode.svg doc/html/index.html
	cp $< $@

doc/html/haskell-mode-32x32.png : images/haskell-mode-32x32.png doc/html/index.html
	cp $< $@

doc/html : doc/html/index.html doc/html/haskell-mode.css doc/html/haskell-mode.svg doc/html/haskell-mode-32x32.png

deploy-manual : doc/html
	cd doc && ./deploy-manual.sh

$(AUTOLOADS): $(ELFILES) haskell-mode.elc
	$(BATCH) \
		--eval '(setq make-backup-files nil)' \
		--eval '(setq generated-autoload-file "$(CURDIR)/$@")' \
		-f batch-update-autoloads "."

=== debian/changelog ===
haskell-mode (13.14.2-1) unstable; urgency=medium

  * New upstream release
  * Remove yasnippet integration, broken out upstream

 -- Barak A. Pearlmutter <bap@debian.org>  Wed, 08 Jul 2015 23:46:20 +0100

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
 Package: haskell-mode
 Architecture: all
 Depends: emacs24 | emacs-snapshot | emacs, ${misc:Depends}
-Breaks: agda-mode (<< 2.3.2), yasnippet (<< 0.8)
+Breaks: agda-mode (<< 2.3.2)
 Recommends: ghc | hugs
 Description: major mode for editing Haskell in Emacs
  A major mode for editing Haskell (the functional

=== debian/rules ===
--- 
+++ 
@@ -6,10 +6,18 @@
 version=$(shell dpkg-parsechangelog | sed -rne 's/^Version: ([0-9.-]+)$$/\1/p')
 git_version=00000000
 
+gitver=VERSION=$(version) GIT_VERSION=$(git_version)
+
+override_dh_auto_clean:
+	dh_auto_clean -- $(gitver)
+
 override_dh_auto_build:
-	dh_auto_build -- VERSION=$(version) GIT_VERSION=$(git_version) haskell-mode-autoloads.el haskell-mode.info
+	dh_auto_build -- $(gitver) haskell-mode-autoloads.el haskell-mode.info
 
 override_dh_auto_install:
+
+override_dh_auto_test:
+	dh_auto_test -- $(gitver)
 
 dest_dir=debian/haskell-mode
 icon_dir=usr/share/icons/locolor/scalable

## haskell-mode 16.1

=== Makefile ===
#
# Note: Due to MELPA distributing directly from github source version
# needs to be embedded in files as is without preprocessing.
#
# Version string is present in:
# - Makefile
# - haskell-mode.el
# - haskell-mode.texi
#
# We should have a script that changes it everywhere it is needed and
# syncs it with current git tag.
#
VERSION = 16.1

INSTALL_INFO = install-info

# Use $EMACS environment variable if present, so that all of these are
# equivalent:
#
# 1.  export EMACS=/path/to/emacs && make
# 2.  EMACS=/path/to/emacs make
# 3.  make EMACS=/path/to/emacs
#
# This is particularly useful when EMACS is set in ~/.bash_profile
#
EMACS := $(shell which "$${EMACS}" 2> /dev/null || which "emacs" 2> /dev/null)
EMACS_VERSION := $(shell "$(EMACS)" -Q --batch --eval '(princ emacs-version)')

EFLAGS = --eval "(add-to-list 'load-path (expand-file-name \"tests/compat\") 'append)" \
	 --eval "(when (boundp 'load-prefer-newer) (setq load-prefer-newer t))"

BATCH = @echo EMACS $@; $(EMACS) $(EFLAGS) --batch -Q -L .

ELFILES := $(filter-out haskell-mode-autoloads.el haskell-mode-pkg.el,$(wildcard *.el))

ELCHECKS := $(wildcard tests/*-tests.el)

AUTOLOADS = haskell-mode-autoloads.el

PKG_DIST_FILES = $(ELFILES) logo.svg NEWS haskell-mode.info dir

.PHONY: all compile info clean check check-emacs-version

all: check-emacs-version compile $(AUTOLOADS) info

check-emacs-version :
	$(BATCH) --eval "(when (version< emacs-version \"24.3\")				\
                            (message \"Error: haskell-mode requires Emacs 24.3 or later\")	\
                            (message \"Your version of Emacs is %s\" emacs-version)		\
                            (message \"Found as '$(EMACS)'\")					\
                            (message \"Use one of:\")						\
                            (message \"   1.  export EMACS=/path/to/emacs && make\")		\
                            (message \"   2.  EMACS=/path/to/emacs make\")			\
                            (message \"   3.  make EMACS=/path/to/emacs\")			\
                            (kill-emacs 2))"
	@echo Using EMACS = $(EMACS), version = $(EMACS_VERSION)

compile: build-$(EMACS_VERSION)/build-flag

build-$(EMACS_VERSION) :
	mkdir $@

# Emacs byte compilation state leaks from file to file if multiple
# files are requested to be build at the same time. We have to
# workaround this issue on Makefile level. Note also that we consider
# an .el file to be dependent on all other files because we do not do
# proper dependency tracking (yet).
build-$(EMACS_VERSION)/%.elc : %.el $(ELFILES)
	$(BATCH) --eval '(setq byte-compile-error-on-warn t)'						\
	         --eval "(defun byte-compile-dest-file (filename)					\
	               	       (concat (file-name-directory filename) \"build-\" emacs-version \"/\"	\
	                      	    (file-name-nondirectory filename) \"c\"))"				\
	         --eval "(when (check-declare-file \"$<\") (kill-emacs 2))" \
	         -f batch-byte-compile $<								\

build-$(EMACS_VERSION)/build-flag : build-$(EMACS_VERSION) $(patsubst %.el,build-$(EMACS_VERSION)/%.elc,$(ELFILES))
	touch $@

check-%: tests/%-tests.el
	$(BATCH) -l "$<" -f ert-run-tests-batch-and-exit;

check: compile $(AUTOLOADS) check-ert check-conventions

check-conventions :
	$(BATCH) -l tests/haskell-code-conventions.el                                           \
                 -f haskell-check-conventions-batch-and-exit
	@echo "conventions are okay"

check-ert: $(ELCHECKS)
	$(BATCH) --eval "(when (= emacs-major-version 24)					\
                           (require 'undercover)						\
                           (undercover \"*.el\"							\
                              (:exclude \"haskell-mode-pkg.el\" \"haskell-compat.el\")))"	\
                 -L tests									\
                 $(patsubst %,-l %,$(ELCHECKS))							\
                 -f ert-run-tests-batch-and-exit
	@echo "checks passed!"

clean:
	$(RM) -r build-$(EMACS_VERSION) $(AUTOLOADS) $(AUTOLOADS:.el=.elc) haskell-mode.info dir

info: haskell-mode.info dir

dir: haskell-mode.info
	$(INSTALL_INFO) --dir=$@ $<

haskell-mode.info: doc/haskell-mode.texi
	LANG=en_US.UTF-8 $(MAKEINFO) $(MAKEINFO_FLAGS) -o $@ $<

doc/haskell-mode.html: doc/haskell-mode.texi doc/haskell-mode.css
	LANG=en_US.UTF-8 $(MAKEINFO) $(MAKEINFO_FLAGS) --html --css-include=doc/haskell-mode.css --no-split -o $@ $<
	$(BATCH) -l doc/haskell-manual-fixups.el -f haskell-manual-fixups-batch-and-exit $@

doc/html/index.html : doc/haskell-mode.texi
	if [ -e doc/html ]; then rm -r doc/html; fi
	mkdir doc/html
	cp -r doc/anim doc/html/anim
	LANG=en_US.UTF-8 $(MAKEINFO) $(MAKEINFO_FLAGS) --html				\
	    --css-ref=haskell-mode.css							\
	    -c AFTER_BODY_OPEN='<div class="background"> </div>'			\
	    -c EXTRA_HEAD='<link rel="shortcut icon" href="haskell-mode-32x32.png">'	\
	    -c SHOW_TITLE=0								\
	    -o doc/html $<
	$(BATCH) -l doc/haskell-manual-fixups.el -f haskell-manual-fixups-batch-and-exit doc/html/*.html

doc/html/haskell-mode.css : doc/haskell-mode.css doc/html/index.html
	cp $< $@

doc/html/haskell-mode.svg : images/haskell-mode.svg doc/html/index.html
	cp $< $@

doc/html/haskell-mode-32x32.png : images/haskell-mode-32x32.png doc/html/index.html
	cp $< $@

doc/html : doc/html/index.html			\
           doc/html/haskell-mode.css		\
           doc/html/haskell-mode.svg		\
           doc/html/haskell-mode-32x32.png

deploy-manual : doc/html
	cd doc && ./deploy-manual.sh

$(AUTOLOADS): $(ELFILES)
	$(BATCH) \
		--eval '(setq make-backup-files nil)' \
		--eval "(setq generated-autoload-file (concat command-line-default-directory \"/\" \"$@\"))" \
		-f batch-update-autoloads "."
	# check if autoloads will really load
	$(BATCH) -l "$@"

check-external : check-emacs-version $(AUTOLOADS)
	$(BATCH) -l tests/haskell-external.el                                           \
                 -f haskell-check-external-batch-and-exit
	@echo "external packages okay"

=== debian/changelog ===
haskell-mode (16.1-3) unstable; urgency=medium

  * Remove myself from uploaders
  * Assert compliance with policy 4.0.0

 -- David Bremner <bremner@debian.org>  Sun, 02 Jul 2017 12:13:16 -0300

haskell-mode (16.1-2) unstable; urgency=medium

  * Remove old uploaders, add pkg-emacen team (closes: #838127, #849063)
  * Suggest stylish-haskell (closes: #825485)

 -- Barak A. Pearlmutter <bap@debian.org>  Sun, 25 Dec 2016 11:04:07 +0000

haskell-mode (16.1-1) unstable; urgency=medium

  * New upstream release
  * dh10 is --parallel by default
  * Simplify build scripts for simpler (more rational) upstream build process

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 19 Dec 2016 14:57:00 +0100

=== debian/control ===
Source: haskell-mode
Section: haskell
Priority: optional
Maintainer: Debian Emacs addons team <pkg-emacsen-addons@lists.alioth.debian.org>
Uploaders: Barak A. Pearlmutter <bap@debian.org>
Build-Depends: debhelper (>= 10),
	install-info,
	emacs | emacs25 | emacs24 | emacs-snapshot,
	texinfo
Standards-Version: 4.0.0
Homepage: https://github.com/haskell/haskell-mode
Vcs-Git: git://anonscm.debian.org/collab-maint/haskell-mode.git
Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/haskell-mode.git

Package: haskell-mode
Architecture: all
Depends: emacs25 | emacs24 | emacs-snapshot | emacs, ${misc:Depends}
Suggests: stylish-haskell
Breaks: agda-mode (<< 2.3.2)
Recommends: ghc | hugs
Description: major mode for editing Haskell in Emacs
 A major mode for editing Haskell (the functional
 programming language) in Emacs.
 .
 Major features:
  - syntax highlighting (font lock),
  - automatic indentation,
  - on-the-fly documentation,
  - interaction with inferior ghci or hugs instance,
  - scans declarations and places them in a menu.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_test:
	@echo Auto test disabled due to failing and I do not feel like figuring out why.

override_dh_auto_install:

override_dh_installchangelogs:
	dh_installchangelogs NEWS

## haskell-mode 17.1

=== Makefile ===
--- 
+++ 
@@ -10,7 +10,7 @@
 # We should have a script that changes it everywhere it is needed and
 # syncs it with current git tag.
 #
-VERSION = 16.1
+VERSION = 17.1
 
 INSTALL_INFO = install-info
 
@@ -23,13 +23,12 @@
 #
 # This is particularly useful when EMACS is set in ~/.bash_profile
 #
-EMACS := $(shell which "$${EMACS}" 2> /dev/null || which "emacs" 2> /dev/null)
+EMACS ?= emacs
 EMACS_VERSION := $(shell "$(EMACS)" -Q --batch --eval '(princ emacs-version)')
 
-EFLAGS = --eval "(add-to-list 'load-path (expand-file-name \"tests/compat\") 'append)" \
-	 --eval "(when (boundp 'load-prefer-newer) (setq load-prefer-newer t))"
+EFLAGS = --eval "(when (boundp 'load-prefer-newer) (setq load-prefer-newer t))"
 
-BATCH = @echo EMACS $@; $(EMACS) $(EFLAGS) --batch -Q -L .
+BATCH = @echo EMACS $@; "$(EMACS)" $(EFLAGS) --batch -Q -L .
 
 ELFILES := $(filter-out haskell-mode-autoloads.el haskell-mode-pkg.el,$(wildcard *.el))
 
@@ -44,8 +43,8 @@
 all: check-emacs-version compile $(AUTOLOADS) info
 
 check-emacs-version :
-	$(BATCH) --eval "(when (version< emacs-version \"24.3\")				\
-                            (message \"Error: haskell-mode requires Emacs 24.3 or later\")	\
+	$(BATCH) --eval "(when (version< emacs-version \"25.1\")				\
+                            (message \"Error: haskell-mode requires Emacs 25.1 or later\")	\
                             (message \"Your version of Emacs is %s\" emacs-version)		\
                             (message \"Found as '$(EMACS)'\")					\
                             (message \"Use one of:\")						\
@@ -67,9 +66,9 @@
 # proper dependency tracking (yet).
 build-$(EMACS_VERSION)/%.elc : %.el $(ELFILES)
 	$(BATCH) --eval '(setq byte-compile-error-on-warn t)'						\
-	         --eval "(defun byte-compile-dest-file (filename)					\
+	         --eval "(setq byte-compile-dest-file-function (lambda (filename)					\
 	               	       (concat (file-name-directory filename) \"build-\" emacs-version \"/\"	\
-	                      	    (file-name-nondirectory filename) \"c\"))"				\
+	                      	    (file-name-nondirectory filename) \"c\")))"				\
 	         --eval "(when (check-declare-file \"$<\") (kill-emacs 2))" \
 	         -f batch-byte-compile $<								\
 
@@ -79,19 +78,10 @@
 check-%: tests/%-tests.el
 	$(BATCH) -l "$<" -f ert-run-tests-batch-and-exit;
 
-check: compile $(AUTOLOADS) check-ert check-conventions
-
-check-conventions :
-	$(BATCH) -l tests/haskell-code-conventions.el                                           \
-                 -f haskell-check-conventions-batch-and-exit
-	@echo "conventions are okay"
+check: compile $(AUTOLOADS) check-ert
 
 check-ert: $(ELCHECKS)
-	$(BATCH) --eval "(when (= emacs-major-version 24)					\
-                           (require 'undercover)						\
-                           (undercover \"*.el\"							\
-                              (:exclude \"haskell-mode-pkg.el\" \"haskell-compat.el\")))"	\
-                 -L tests									\
+	$(BATCH) -L tests									\
                  $(patsubst %,-l %,$(ELCHECKS))							\
                  -f ert-run-tests-batch-and-exit
 	@echo "checks passed!"
@@ -145,7 +135,7 @@
 		--eval '(setq make-backup-files nil)' \
 		--eval "(setq generated-autoload-file (concat command-line-default-directory \"/\" \"$@\"))" \
 		-f batch-update-autoloads "."
-	# check if autoloads will really load
+# check if autoloads will really load
 	$(BATCH) -l "$@"
 
 check-external : check-emacs-version $(AUTOLOADS)

=== debian/changelog ===
haskell-mode (17.1-2) unstable; urgency=medium

  * Source only upload as I should have done before.

 -- Thomas Koch <thomas@koch.ro>  Sun, 19 Jan 2020 15:11:00 +0000

haskell-mode (17.1-1) unstable; urgency=medium

  * new upstream version

 -- Thomas Koch <thomas@koch.ro>  Mon, 30 Dec 2019 18:53:21 +0000

haskell-mode (16.1-9) unstable; urgency=medium

  [ David Krauser ]
  * Update maintainer email address to debian-emacsen@lists.debian.org

  [ Thomas Koch ]
  * update Standards-Version 4.2.1->4.4.1, no changes
  * update debhelper 11->12, use debhelper-compat
  * add Rules-Requires-Root: no to d/control
  * Do not recommend ancient Hugs anymore

 -- Thomas Koch <thomas@koch.ro>  Sun, 29 Dec 2019 15:52:03 +0000

haskell-mode (16.1-8) unstable; urgency=medium

  * Team upload
  * Try without single-debian-patch in debian/source/options (Closes:
    #935717).
  * don't use dgit --quilt=auto

 -- David Bremner <bremner@debian.org>  Sun, 25 Aug 2019 12:33:08 -0300

haskell-mode (16.1-7) unstable; urgency=medium

  * Team upload.
  * Rebuild with current dh-elpa

 -- David Bremner <bremner@debian.org>  Sun, 25 Aug 2019 10:15:13 -0300

haskell-mode (16.1-6) unstable; urgency=medium

  * revert errounous change of upstream files in packaging branch
  * fix failing tests for emacs 26.1 (Closes: 916807)

 -- Thomas Koch <thomas@koch.ro>  Wed, 16 Jan 2019 19:39:52 +0000

haskell-mode (16.1-5) unstable; urgency=medium

  * correct versions for breaks/replaces in d/control (closes: 915577)

 -- Thomas Koch <thomas@koch.ro>  Sun, 09 Dec 2018 13:07:09 +0000

haskell-mode (16.1-4) unstable; urgency=medium

  * use dh-elpa
  * rename package to elpa-haskell-mode
  * update Standards-Version -> 4.2.1
  * lintian: remove trailing whitespace in d/changelog
  * update debhelper compat level -> 11
  * add thomas@koch.ro to uploaders
  * make d/copyright machine readable
  * remove PACKAGE.examples as there are none
  * move packaging repo to emacsen-team

 -- Thomas Koch <thomas@koch.ro>  Sat, 03 Nov 2018 20:20:48 +0000

=== debian/control ===
Source: haskell-mode
Section: lisp
Priority: optional
Maintainer: Debian Emacsen Team <debian-emacsen@lists.debian.org>
Uploaders: Barak A. Pearlmutter <bap@debian.org>,
 Thomas Koch <thomas@koch.ro>
Rules-Requires-Root: no
Build-Depends:
    debhelper-compat (= 12),
    dh-elpa,
    ghc,
    haskell-stack,
    install-info,
    emacs | emacs25 | emacs24 | emacs-snapshot,
    texinfo
Standards-Version: 4.4.1
Homepage: https://github.com/haskell/haskell-mode
Vcs-Git: https://salsa.debian.org/emacsen-team/haskell-mode.git
Vcs-Browser: https://salsa.debian.org/emacsen-team/haskell-mode
Testsuite: autopkgtest-pkg-elpa

Package: elpa-haskell-mode
Architecture: all
Depends: emacs25 | emacs24 | emacs-snapshot | emacs, ${misc:Depends}
Suggests: stylish-haskell
Replaces: haskell-mode (<< 16.1-4)
Breaks: haskell-mode (<< 16.1-4), agda-mode (<< 2.3.2)
Recommends: ghc
Description: major mode for editing Haskell in Emacs
 A major mode for editing Haskell (the functional
 programming language) in Emacs.
 .
 Major features:
  - syntax highlighting (font lock),
  - automatic indentation,
  - on-the-fly documentation,
  - interaction with inferior ghci or hugs instance,
  - scans declarations and places them in a menu.

Package: haskell-mode
Architecture: all
Depends: elpa-haskell-mode, ${misc:Depends}
Section: oldlibs
Description: transitional package
 This is a transitional package. It can safely be removed.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with elpa

override_dh_auto_build:
	make info
